require 'uu/os/rest/dto'
require 'uu/os/uesuri'

module UU

  module Finman

    module BusinessCase

      # Value object containing parameters of getCategories command.
      class BusinessCaseGetCategories < UU::OS::REST::DTO

        # Financial transaction side.
        # @param [UU::Finman::BusinessCase::TransactionSide]
        # @return [UU::Finman::BusinessCase::TransactionSide]
        attr_accessor :financial_transaction_side


        def financial_transaction_side
          attributes[:financialTransactionSide]
        end

        def financial_transaction_side=(val)
          attributes[:financialTransactionSide] = val
        end

      end
    end
  end
end
